OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.Multitexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBMultitexture :: MonadIO m => m Bool
- gl_ARB_multitexture :: Bool
- pattern GL_ACTIVE_TEXTURE_ARB :: GLenum
- pattern GL_CLIENT_ACTIVE_TEXTURE_ARB :: GLenum
- pattern GL_MAX_TEXTURE_UNITS_ARB :: GLenum
- pattern GL_TEXTURE0_ARB :: GLenum
- pattern GL_TEXTURE10_ARB :: GLenum
- pattern GL_TEXTURE11_ARB :: GLenum
- pattern GL_TEXTURE12_ARB :: GLenum
- pattern GL_TEXTURE13_ARB :: GLenum
- pattern GL_TEXTURE14_ARB :: GLenum
- pattern GL_TEXTURE15_ARB :: GLenum
- pattern GL_TEXTURE16_ARB :: GLenum
- pattern GL_TEXTURE17_ARB :: GLenum
- pattern GL_TEXTURE18_ARB :: GLenum
- pattern GL_TEXTURE19_ARB :: GLenum
- pattern GL_TEXTURE1_ARB :: GLenum
- pattern GL_TEXTURE20_ARB :: GLenum
- pattern GL_TEXTURE21_ARB :: GLenum
- pattern GL_TEXTURE22_ARB :: GLenum
- pattern GL_TEXTURE23_ARB :: GLenum
- pattern GL_TEXTURE24_ARB :: GLenum
- pattern GL_TEXTURE25_ARB :: GLenum
- pattern GL_TEXTURE26_ARB :: GLenum
- pattern GL_TEXTURE27_ARB :: GLenum
- pattern GL_TEXTURE28_ARB :: GLenum
- pattern GL_TEXTURE29_ARB :: GLenum
- pattern GL_TEXTURE2_ARB :: GLenum
- pattern GL_TEXTURE30_ARB :: GLenum
- pattern GL_TEXTURE31_ARB :: GLenum
- pattern GL_TEXTURE3_ARB :: GLenum
- pattern GL_TEXTURE4_ARB :: GLenum
- pattern GL_TEXTURE5_ARB :: GLenum
- pattern GL_TEXTURE6_ARB :: GLenum
- pattern GL_TEXTURE7_ARB :: GLenum
- pattern GL_TEXTURE8_ARB :: GLenum
- pattern GL_TEXTURE9_ARB :: GLenum
- glActiveTextureARB :: MonadIO m => GLenum -> m ()
- glClientActiveTextureARB :: MonadIO m => GLenum -> m ()
- glMultiTexCoord1dARB :: MonadIO m => GLenum -> GLdouble -> m ()
- glMultiTexCoord1dvARB :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMultiTexCoord1fARB :: MonadIO m => GLenum -> GLfloat -> m ()
- glMultiTexCoord1fvARB :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMultiTexCoord1iARB :: MonadIO m => GLenum -> GLint -> m ()
- glMultiTexCoord1ivARB :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glMultiTexCoord1sARB :: MonadIO m => GLenum -> GLshort -> m ()
- glMultiTexCoord1svARB :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glMultiTexCoord2dARB :: MonadIO m => GLenum -> GLdouble -> GLdouble -> m ()
- glMultiTexCoord2dvARB :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMultiTexCoord2fARB :: MonadIO m => GLenum -> GLfloat -> GLfloat -> m ()
- glMultiTexCoord2fvARB :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMultiTexCoord2iARB :: MonadIO m => GLenum -> GLint -> GLint -> m ()
- glMultiTexCoord2ivARB :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glMultiTexCoord2sARB :: MonadIO m => GLenum -> GLshort -> GLshort -> m ()
- glMultiTexCoord2svARB :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glMultiTexCoord3dARB :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMultiTexCoord3dvARB :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMultiTexCoord3fARB :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> m ()
- glMultiTexCoord3fvARB :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMultiTexCoord3iARB :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> m ()
- glMultiTexCoord3ivARB :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glMultiTexCoord3sARB :: MonadIO m => GLenum -> GLshort -> GLshort -> GLshort -> m ()
- glMultiTexCoord3svARB :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glMultiTexCoord4dARB :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMultiTexCoord4dvARB :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMultiTexCoord4fARB :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glMultiTexCoord4fvARB :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMultiTexCoord4iARB :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> m ()
- glMultiTexCoord4ivARB :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glMultiTexCoord4sARB :: MonadIO m => GLenum -> GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glMultiTexCoord4svARB :: MonadIO m => GLenum -> Ptr GLshort -> m ()

# Extension Support

glGetARBMultitexture :: MonadIO m => m Bool Source #

Is the ARB_multitexture extension supported?

gl_ARB_multitexture :: Bool Source #

Is the ARB_multitexture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBMultitexture` in those cases instead.

# Enums

pattern GL_ACTIVE_TEXTURE_ARB :: GLenum Source #

pattern GL_CLIENT_ACTIVE_TEXTURE_ARB :: GLenum Source #

pattern GL_MAX_TEXTURE_UNITS_ARB :: GLenum Source #

pattern GL_TEXTURE0_ARB :: GLenum Source #

pattern GL_TEXTURE10_ARB :: GLenum Source #

pattern GL_TEXTURE11_ARB :: GLenum Source #

pattern GL_TEXTURE12_ARB :: GLenum Source #

pattern GL_TEXTURE13_ARB :: GLenum Source #

pattern GL_TEXTURE14_ARB :: GLenum Source #

pattern GL_TEXTURE15_ARB :: GLenum Source #

pattern GL_TEXTURE16_ARB :: GLenum Source #

pattern GL_TEXTURE17_ARB :: GLenum Source #

pattern GL_TEXTURE18_ARB :: GLenum Source #

pattern GL_TEXTURE19_ARB :: GLenum Source #

pattern GL_TEXTURE1_ARB :: GLenum Source #

pattern GL_TEXTURE20_ARB :: GLenum Source #

pattern GL_TEXTURE21_ARB :: GLenum Source #

pattern GL_TEXTURE22_ARB :: GLenum Source #

pattern GL_TEXTURE23_ARB :: GLenum Source #

pattern GL_TEXTURE24_ARB :: GLenum Source #

pattern GL_TEXTURE25_ARB :: GLenum Source #

pattern GL_TEXTURE26_ARB :: GLenum Source #

pattern GL_TEXTURE27_ARB :: GLenum Source #

pattern GL_TEXTURE28_ARB :: GLenum Source #

pattern GL_TEXTURE29_ARB :: GLenum Source #

pattern GL_TEXTURE2_ARB :: GLenum Source #

pattern GL_TEXTURE30_ARB :: GLenum Source #

pattern GL_TEXTURE31_ARB :: GLenum Source #

pattern GL_TEXTURE3_ARB :: GLenum Source #

pattern GL_TEXTURE4_ARB :: GLenum Source #

pattern GL_TEXTURE5_ARB :: GLenum Source #

pattern GL_TEXTURE6_ARB :: GLenum Source #

pattern GL_TEXTURE7_ARB :: GLenum Source #

pattern GL_TEXTURE8_ARB :: GLenum Source #

pattern GL_TEXTURE9_ARB :: GLenum Source #

# Functions

glActiveTextureARB Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> m () |

This command is an alias for `glActiveTexture`.

glClientActiveTextureARB Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> m () |

This command is an alias for `glClientActiveTexture`.

glMultiTexCoord1dARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLdouble | `s` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord1dv`. This command is an alias for `glMultiTexCoord1d`.

glMultiTexCoord1dvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLdouble | `v` pointing to `1` element of type `CoordD`.
-> m () |

This command is an alias for `glMultiTexCoord1dv`.

glMultiTexCoord1fARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLfloat | `s` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord1fv`. This command is an alias for `glMultiTexCoord1f`.

glMultiTexCoord1fvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLfloat | `v` pointing to `1` element of type `CoordF`.
-> m () |

This command is an alias for `glMultiTexCoord1fv`.

glMultiTexCoord1iARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLint | `s` of type `CoordI`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord1iv`. This command is an alias for `glMultiTexCoord1i`.

glMultiTexCoord1ivARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLint | `v` pointing to `1` element of type `CoordI`.
-> m () |

This command is an alias for `glMultiTexCoord1iv`.

glMultiTexCoord1sARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLshort | `s` of type `CoordS`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord1sv`. This command is an alias for `glMultiTexCoord1s`.

glMultiTexCoord1svARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLshort | `v` pointing to `1` element of type `CoordS`.
-> m () |

This command is an alias for `glMultiTexCoord1sv`.

glMultiTexCoord2dARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord2dv`. This command is an alias for `glMultiTexCoord2d`.

glMultiTexCoord2dvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

This command is an alias for `glMultiTexCoord2dv`.

glMultiTexCoord2fARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord2fv`. This command is an alias for `glMultiTexCoord2f`.

glMultiTexCoord2fvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

This command is an alias for `glMultiTexCoord2fv`.

glMultiTexCoord2iARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord2iv`. This command is an alias for `glMultiTexCoord2i`.

glMultiTexCoord2ivARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

This command is an alias for `glMultiTexCoord2iv`.

glMultiTexCoord2sARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord2sv`. This command is an alias for `glMultiTexCoord2s`.

glMultiTexCoord2svARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

This command is an alias for `glMultiTexCoord2sv`.

glMultiTexCoord3dARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> GLdouble | `r` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord3dv`. This command is an alias for `glMultiTexCoord3d`.

glMultiTexCoord3dvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

This command is an alias for `glMultiTexCoord3dv`.

glMultiTexCoord3fARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> GLfloat | `r` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord3fv`. This command is an alias for `glMultiTexCoord3f`.

glMultiTexCoord3fvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

This command is an alias for `glMultiTexCoord3fv`.

glMultiTexCoord3iARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> GLint | `r` of type `CoordI`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord3iv`. This command is an alias for `glMultiTexCoord3i`.

glMultiTexCoord3ivARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

This command is an alias for `glMultiTexCoord3iv`.

glMultiTexCoord3sARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> GLshort | `r` of type `CoordS`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord3sv`. This command is an alias for `glMultiTexCoord3s`.

glMultiTexCoord3svARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

This command is an alias for `glMultiTexCoord3sv`.

glMultiTexCoord4dARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> GLdouble | `r` of type `CoordD`.
-> GLdouble | `q` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord4dv`. This command is an alias for `glMultiTexCoord4d`.

glMultiTexCoord4dvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLdouble | `v` pointing to `4` elements of type `CoordD`.
-> m () |

This command is an alias for `glMultiTexCoord4dv`.

glMultiTexCoord4fARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> GLfloat | `r` of type `CoordF`.
-> GLfloat | `q` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord4fv`. This command is an alias for `glMultiTexCoord4f`.

glMultiTexCoord4fvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLfloat | `v` pointing to `4` elements of type `CoordF`.
-> m () |

This command is an alias for `glMultiTexCoord4fv`.

glMultiTexCoord4iARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> GLint | `r` of type `CoordI`.
-> GLint | `q` of type `CoordI`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord4iv`. This command is an alias for `glMultiTexCoord4i`.

glMultiTexCoord4ivARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLint | `v` pointing to `4` elements of type `CoordI`.
-> m () |

This command is an alias for `glMultiTexCoord4iv`.

glMultiTexCoord4sARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> GLshort | `r` of type `CoordS`.
-> GLshort | `q` of type `CoordS`.
-> m () |

The vector equivalent of this command is `glMultiTexCoord4sv`. This command is an alias for `glMultiTexCoord4s`.

glMultiTexCoord4svARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLshort | `v` pointing to `4` elements of type `CoordS`.
-> m () |

This command is an alias for `glMultiTexCoord4sv`.